import sys

import harold_test.pkg.utils as utils


def main():
    args = sys.argv[1:]
    if len(args) > 0 and args[0] == 'fail':
        raise ValueError('First argument was "fail".')
    else:
        for arg in args:
            try:
                arg = int(arg)
            except ValueError:
                print(utils.greet(arg))
            else:
                print(utils.double(arg))
    
    
if __name__ == '__main__':
    main()
    